# Query DB Enable Proxy Data - ListUDBProxyInstanceByDB

## Overview

Query DB Enable Proxy Data






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `ListUDBProxyInstanceByDB`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [Region and Zone List](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Zone. See [Region and Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. Leave it blank for the default project. Sub-accounts must fill in. Please refer to the [GetProjectList API](/docs/api/summary/get_project_list) |No|
| **DBID** | string | Database ID |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **UDBProxyBaseItems** | array[[*UDBProxyBaseItem*](#udbproxybaseitem)] | Proxy List Data |**Yes**|

#### Data Model


#### UDBProxyBaseItem

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ReadWeightMode** | int | Read weight mode: 1- Master node mode; 2- Node balance mode; 3- Slave node balance (excluding master node); 5- User-defined mode |**Yes**|
| **CreateTime** | int | Creation Time |**Yes**|
| **ID** | string | Agent ID |No|
| **IP** | string | Proxy IP |No|
| **Port** | int | Proxy Port |No|
| **State** | string | Status |No|
| **ZoneID** | int | Availability Zone ID |No|
| **NodeCount** | int | Number of Proxy Nodes |No|
| **CPUCores** | int | Number of CPU cores per proxy node |No|
| **Memory** | int | Single Proxy Memory |No|
| **Name** | string | Proxy Name |No|
| **InstanceVersion** | string | Instance Version |No|
| **BaseDBDataArr** | array[[*BaseDBData*](#basedbdata)] | Add Proxy DB Information |No|

#### BaseDBData

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ID** | string | Database ID |No|
| **Name** | string | Database Name |No|
| **ReadWeight** | int | Weight |No|

## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=ListUDBProxyInstanceByDB
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=pMvbaLux
&DBID=oWYGOumG
```

### Response Example
    
```json
{
  "Action": "ListUDBProxyInstanceByDBResponse",
  "Message": "hFtwEdKH",
  "RetCode": 0,
  "UDBProxyBaseItems": [
    {
      "BaseDBDataArr": [
        {
          "ID": "tjQuxzNn",
          "Name": "JoGfYcoz",
          "ReadWeight": 6
        }
      ],
      "CPUCores": 1,
      "CreateTime": 3,
      "ID": "exvunmky",
      "IP": "CNFZwvQo",
      "Memory": 1,
      "Name": "hzuxSAHL",
      "NodeCount": 6,
      "Port": 5,
      "ReadWeightMode": 3,
      "State": "whpILLzn",
      "ZoneID": 7
    }
  ]
}
```





